Gda.DbColumn – Gda-6.0 Reference Manual

# DbColumn

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_db_column_get_type ()" ) ]
public class DbColumn : Object, DbBuildable, DdlModifiable
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public string @default { get; set; }
- public bool autoinc { get; set; }
- public string check { get; set; }
- public string comment { get; set; }
- public string name { get; set; }
- public bool nnul { get; set; }
- public bool pkey { get; set; }
- public uint scale { get; set; }
- public uint size { get; set; }
- public DbTable table { owned get; set; }
- public bool unique { get; set; }

### Static methods:

- public static Quark error_quark ()

### Creation methods:

- public DbColumn ()

### Methods:

- public bool get_autoinc ()
- public unowned string get_check ()
- public unowned string get_comment ()
- public unowned string get_ctype ()
- public unowned string get_default ()
- public Type get_gtype ()
- public unowned string get_name ()
- public bool get_nnul ()
- public bool get_pkey ()
- public uint get_scale ()
- public uint get_size ()
- public bool get_unique ()
- public bool prepare_add (ServerOperation op) throws Error
- public bool prepare_create (ServerOperation op, uint order) throws Error
- public void set_autoinc (bool autoinc)
- public void set_check (string value)
- public void set_comment (string comnt)
- public void set_default (string value)
- public void set_name (string name)
- public void set_nnul (bool nnul)
- public void set_pkey (bool pkey)
- public void set_scale (uint scale)
- public void set_size (uint size)
- public void set_type (Type type)
- public void set_unique (bool unique)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface Gda.DbBuildable

- parse_node

- write_node

All known members inherited from interface Gda.DdlModifiable

- create
- drop

- error_quark

- rename